CurveContactCollection Class

class NXOpen.Motion.CurveContactCollection

Bases: object

Represents a collection of 2D contact objects.

Any 2D contact object must be created and found through this class To obtain an instance of this class, refer to NXOpen.Motion.MotionManager

New in version NX5.0.0.

Methods

Method Description
CreateCurveContactBuilder Creates a NXOpen.Motion.CurveContact
FindObject Finds the NXOpen.Motion.CurveContact with the given name.

Method Detail

CreateCurveContactBuilder

CurveContactCollection.CreateCurveContactBuilder

Creates a NXOpen.Motion.CurveContact

Signature CreateCurveContactBuilder(contactobj)

Parameters:contactobj (NXOpen.Motion.CurveContact) – “NXOpen.Motion.CurveContact to be edited, if None then create a new one
Returns:
Return type:NXOpen.Motion.CurveContactBuilder

New in version NX5.0.0.

License requirements: mechanisms (“MECHANISMS”)

FindObject

CurveContactCollection.FindObject

Finds the NXOpen.Motion.CurveContact with the given name.

An exception will be thrown if no object can be found with given name.

Signature FindObject(name)

Parameters:name (str) – The name of the NXOpen.Motion.CurveContact.
Returns:NXOpen.Motion.CurveContact with this name.
Return type:NXOpen.Motion.CurveContact

New in version NX5.0.0.

License requirements: mechanisms (“MECHANISMS”)